Subject: Re: [PATCH] Added make options NO_GUI and WITH_P4IMPORT.

From: Paolo Bonzini <[email-masked]>
Date: Wed, 21 Mar 2007 15:38:53 +0100

>> I am happening to develop on some machines on which I have no
>> X-Windows or any GUI providers at all, so I prefer not to have the
>> Tcl/Tk dependency at all.
> 
> If you don't do something, it is often interesting to state why: if you 
> don't install something to prevent a dependency you don't want to have, it 
> is different from saying that you do not want to have a GUI, _even if_ the 
> dependency is there already.

I read his message as "these are useless for me, so why introduce a
useless dependency?"  The "effect" is to have no Tcl dependence,
but the original reason is to have no GUI.

So, "If you don't do something, it is often interesting to state why".
Why no TCL (in git)?  Because no X11 (on the machine).

Paolo